<?php

/**
 * TarifasDestino form base class.
 *
 * @package    form
 * @subpackage tarifas_destino
 * @version    SVN: $Id: sfPropelFormGeneratedTemplate.php 15484 2009-02-13 13:13:51Z fabien $
 */
class BaseTarifasDestinoForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'nitocc'      => new sfWidgetFormInputHidden(),
      'id_comision' => new sfWidgetFormInputHidden(),
      'vigencia'    => new sfWidgetFormInputHidden(),
      'id_tarifa'   => new sfWidgetFormInputHidden(),
      'num_viajes'  => new sfWidgetFormInput(),
      'total'       => new sfWidgetFormInput(),
    ));

    $this->setValidators(array(
      'nitocc'      => new sfValidatorPropelChoice(array('model' => 'Terceros', 'column' => 'nitocc', 'required' => false)),
      'id_comision' => new sfValidatorPropelChoice(array('model' => 'Comisiones', 'column' => 'vigencia', 'required' => false)),
      'vigencia'    => new sfValidatorPropelChoice(array('model' => 'Comisiones', 'column' => 'vigencia', 'required' => false)),
      'id_tarifa'   => new sfValidatorPropelChoice(array('model' => 'TarifasTaxis', 'column' => 'id', 'required' => false)),
      'num_viajes'  => new sfValidatorNumber(array('required' => false)),
      'total'       => new sfValidatorNumber(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('tarifas_destino[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'TarifasDestino';
  }


}
